ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-8578) Update Apache Directory Server Library from 1.5.5 to 2.0.0-M19
Date Mon, 08 Dec 2014 20:29:13 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-8578?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14238429#comment-14238429
] 

Hudson commented on AMBARI-8578:
--------------------------------

FAILURE: Integrated in Ambari-trunk-Commit-docker #413 (See [https://builds.apache.org/job/Ambari-trunk-Commit-docker/413/])
AMBARI-8578. Update Apache Directory Server Library from 1.5.5 to 2.0.0-M19 (jspeidel: http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=74f9ddcf8b0d9a8c0650de7352015745e8e2af28)
* ambari-server/src/test/java/org/apache/ambari/server/security/authorization/AmbariLdapAuthenticationProviderForDNWithSpaceTest.java
* ambari-server/src/test/java/org/apache/ambari/server/security/authorization/AmbariLdapAuthenticationProviderBaseTest.java
* ambari-server/pom.xml
* ambari-project/pom.xml
* ambari-server/src/test/resources/users.ldif
* ambari-server/src/test/resources/users_for_dn_with_space.ldif
* ambari-server/src/test/java/org/apache/ambari/server/security/authorization/AmbariLdapAuthenticationProviderTest.java


> Update Apache Directory Server Library from 1.5.5 to 2.0.0-M19
> --------------------------------------------------------------
>
>                 Key: AMBARI-8578
>                 URL: https://issues.apache.org/jira/browse/AMBARI-8578
>             Project: Ambari
>          Issue Type: Task
>          Components: ambari-server
>    Affects Versions: 2.0.0
>            Reporter: Robert Levas
>            Assignee: Robert Levas
>              Labels: apacheds, kerberos, ldap
>             Fix For: 2.0.0
>
>         Attachments: AMBARI-8578_01.patch, AMBARI-8578_02.patch
>
>
> Update Apache Directory Server Library from 1.5.5 to 2.0.0-M19 to obtain bug fixes needed
for future patches. 
> One fix in particular is DIRSERVER-1882 (https://issues.apache.org/jira/browse/DIRSERVER-1882).
> Currently, the only dependency on this library are unit test cases:
> * org.apache.ambari.server.security.authorization.AmbariLdapAuthenticationProviderTest
> * org.apache.ambari.server.security.authorization.AmbariLdapAuthenticationProviderForDNWithSpaceTest
> * org.apache.ambari.server.security.authorization.AmbariLdapAuthenticationProviderBaseTest
> These need to be updated to support the new library and associated dependencies. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message